Subject: Re: [BUG] Git 2.41.0-rc0 - Compile Error ALLOC_GROW

From: Taylor Blau <[email-masked]>
Date: Tue, 16 May 2023 13:06:53 -0400

On Tue, May 16, 2023 at 12:58:15PM -0400, [email-masked] wrote:
> Hi Git Team,
>
> I am getting a compile error on rc0:
>
>   	ALLOC_GROW(git_atexit_hdlrs.handlers, git_atexit_hdlrs.nr + 1,
> git_atexit_hdlrs.alloc);
>   	^
> "/home/ituglib/randall/jenkins/.jenkins/workspace/Git_Pipeline/run-command.c
> ", line 1103: error(114): identifier "ALLOC_GROW" is undefined
>
> Any help o nthis?

None of the code in run-command.c has changed much recently, but this
bisects to 36bf195890 (alloc.h: move ALLOC_GROW() functions from
cache.h, 2023-02-24).

Note that it only affects when building with NO_PTHREADS=1 (which I
suspect is the case on NonStop). Here's the bisection:

    $ git bisect start
    $ git bisect bad
    $ git bisect good v2.40.0
    $ git bisect run sh -c 'make DEVELOPER=1 NO_PTHREADS=1 run-command.o'

I'll attach a patch in a separate message.

Thanks,
Taylor